#pragma once

#include "CoreMinimal.h"
#include "StatusEffect.h"
#include "DBDTunableRowHandle.h"
#include "K33PowerAddon20StatusEffect.generated.h"

UCLASS(Blueprintable, EditInlineNew, meta=(BlueprintSpawnableComponent))
class UK33PowerAddon20StatusEffect : public UStatusEffect
{
	GENERATED_BODY()

private:
	UPROPERTY(EditAnywhere, BlueprintReadWrite, meta=(AllowPrivateAccess=true))
	FDBDTunableRowHandle _effectDuration;

public:
	UK33PowerAddon20StatusEffect();
};

FORCEINLINE uint32 GetTypeHash(const UK33PowerAddon20StatusEffect) { return 0; }
